import org.junit.Test;

import static org.junit.Assert.*;

public class MyArrayListTest {

    MyArrayList myList;

    @Test
    public void addTest(){
        myList = new MyArrayList<Integer>();

        myList.add(1);
        myList.add(2);

        assertFalse(myList.isEmpty());
    }

    @Test
    public void getTest(){
        myList = new MyArrayList<Integer>();

        myList.add(1);
        myList.add(2);

        assertEquals(myList.get(0), 1);
    }

    @Test
    public void sizeTest(){
        myList = new MyArrayList<Integer>();

        myList.add(1);
        myList.add(2);

        assertEquals(myList.size(), 2);
    }

    @Test
    public void containsTest(){
        myList = new MyArrayList<Integer>();

        myList.add("Roy");
        myList.add("Josh");

        assertTrue(myList.contains("Roy"));
    }

    @Test
    public void setTest(){
        myList = new MyArrayList<Integer>();

        myList.add("Roy");
        myList.add("Josh");
        myList.set(0, "Karen");

        assertTrue(myList.contains("Karen"));
    }

    @Test
    public void setWithTest(){
        myList = new MyArrayList<Integer>();

        myList.add("Roy");
        myList.add("Josh");
//        myList.set(0, "Karen");

        assertEquals(myList.set(0, "Karen"), "Roy");
    }

    @Test
    public void clearTest(){
        myList = new MyArrayList<Integer>();

        myList.add("Roy");
        myList.add("Josh");
        myList.clear();

        assertEquals(myList.size(), 0);
    }




}