import java.util.Arrays;

public class MyArrayList<E> {
    private E[] elements;
    private int index = -1;

    public MyArrayList() {
        elements = (E[])new Object[0];
    }

    public void add(E element){
        index += 1;
        E[] newArr = Arrays.copyOf(elements, elements.length+1);
        newArr[index] = element;
        elements = newArr;
    }

    public E remove(E element){
        E[] temp = Arrays.copyOf(elements, elements.length-1);
        E el = null;
        int i=0;

        if (isEmpty()) {
            throw new IndexOutOfBoundsException("it failed");
        }

        for(E e : elements){
            if(e != element){
                temp[i++] = e;
            }
            else
                el = e;
        }

        elements = temp;
        return el;
    }

    public E get(int index){
        E value = null;
        for(int i=0; i<elements.length; i++){
            if(i == index){
                value = elements[i];
                break;
            }
        }
        return value;
    }

    public boolean contains(E element){
        boolean check=false;
        for(E e: elements){
            if(e == element){
                check = true;
                break;
            }
        }

        return check;
    }

    public E set(int index, E element){
        E value= null;
        for(int i=0; i<elements.length; i++){
            if(i == index){
                value = elements[i];
                elements[i] = element;
                break;
            }
        }
        return value;
    }

    public void clear(){
        elements = (E[])new Object[0];
        index = -1;
    }

    public int size(){
        return elements.length;
    }

    public boolean isEmpty(){
        if(index == -1)
            return true;
        return false;
    }


}
